#!/bin/sh

# Remove old cmake build contents to start fresh like ci would do
rm -r build

# project configuration
cmake -S . -B build -DCMAKE_BUILD_TYPE=Release -DQt6_DIR=$HOME/Qt/6.10.2/gcc_64/lib/cmake/Qt6
#build executable
make -j$(nproc) --directory=build

echo ""
echo ""
echo "------------------------"
echo "run with './build/app/app'"
echo "------------------------"
echo ""
echo ""

